Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class ShapeView

    java.lang.Object
      ru.biosoft.graphics.View
          ru.biosoft.graphics.ShapeView

Direct Known Subclasses:
  BoxView, EllipseView, PathView, PolygonView

public abstract class ShapeView
extends View

General shape view.

Field Summary
`protected Brush` | `brush`
`protected Pen` | `pen`

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, at, BASELINE, BOTTOM, CENTER, HIDE, LEFT, model, RIGHT, shape, TOP, type`

Constructor Summary
`ShapeView(java.awt.Shape shape, Pen pen, Brush brush)`

Method Summary
`Brush` | `getBrush()`
`Pen` | `getPen()`
`void` | `paint(java.awt.Graphics2D g2)` Paints this view on specified Graphics2D.
`void` | `setToScale(double sx, double sy)` Scales view absolutely.

Methods inherited from class ru.biosoft.graphics.View
`getBounds, getModel, getShape, intersects, isActive, isVisible, move, move, scale, setActive, setLocation, setLocation, setModel, setVisible, updateBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pen

    protected Pen pen

### brush

    protected Brush brush

Constructor Detail

### ShapeView

    public ShapeView(java.awt.Shape shape,
                     Pen pen,
                     Brush brush)

Method Detail

### getPen

    public Pen getPen()

### getBrush

    public Brush getBrush()

### setToScale

    public void setToScale(double sx,
                           double sy)

  Description copied from class: `View`
  Scales view absolutely.

  Overrides:
    `setToScale` in class `View`
  Parameters:
    `sx` - sets factor along the X axis direction
    `sy` - sets factor along the Y axis direction

### paint

    public void paint(java.awt.Graphics2D g2)

  Description copied from class: `View`
  Paints this view on specified Graphics2D.

  Overrides:
    `paint` in class `View`
  Parameters:
    `g2` - specified Graphics2D.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.